-- 创建成语大表
CREATE TABLE IF NOT EXISTS all_idioms (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    idiom VARCHAR(128) NOT NULL UNIQUE
);

CREATE TABLE IF NOT EXISTS all_words (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    word VARCHAR(128) NOT NULL UNIQUE
);

CREATE TABLE IF NOT EXISTS custom_words (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    word VARCHAR(128) NOT NULL UNIQUE
);